﻿using System.Windows;
using Proxy.PersonService;

namespace Proxy
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
        }

        private void ClickMeButton_Click(object sender, RoutedEventArgs e)
        {
            // Proxy Pattern
            // Service References includes a PersonService proxy
            // that we can use as if we were accessing the WCFService.PersonService
            // directly from our application.
            var proxy = new PersonServiceClient();
            PersonListBox.ItemsSource = proxy.GetPeople();
        }
    }
}
